Subject: Identifier after reserved word "raise" is not always highlighted in Ada-mode

From: Erik <[email-masked]>
Date: Thu, 15 Jan 2009 08:59:39 +0100

In Ada-mode, type the reserved word "raise" (and some whitespace after).
Then type the name of an identifier. It may or may not get highlighted
in light blue colour. It seems to depend on which characters that are
part of the identifier. when typing "H", the highlighting works. But if
the letter 'Ö' is added, the word is no longer highlighted. This may be
a character set issue. It seems like the highlighter thinks that the
file is in Ada83. I never used Ada83 but I think it was ASCII-only. But
my files are in Ada95, which is Latin1, or Ada2005, which supports even
more characters. So how should I tell the highlighter that the file is
Ada95 or Ada2005 (and not Ada83)? I think that emacs should assume that
the file is not Ada83 if a non-ASCII character is used in an identifier.